Multiselect toggle uses legacy icons
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 6.0.3   

Resolution: Fixed Affected version: 6.0.2

Description

The current icons used to toggle between the multiselect box and the regular select box will be replaced with SVG icons. These icons

are used when adding filters and in the workflow page.

Filter

 screenshot 2025-01-21 13.18.54.png 

Workflow

 screenshot 2025-01-21 13.19.13.png 

Associated revisions

Revision 23464 - 2025-01-28 06:32 - Go MAEDA

Replace legacy PNG icons with SVG icons for multiselect toggles (#42130).

Patch by Mizuki ISHIKAWA (user:ishikawa999).

Revision 23466 - 2025-01-28 08:46 - Go MAEDA

Merged r23464 from trunk to 6.0-stable (#42130).

History

#1 - 2025-01-21 05:28 - Mizuki ISHIKAWA

- File 0001-Fix-toggle-multipleselect-icons.patch added

- File screenshot 2025-01-21 13.12.14.png added

- File screenshot 2025-01-21 13.11.59.png added

I have attached a patch to change the icon.

After change:

 screenshot 2025-01-21 13.11.59.png  screenshot 2025-01-21 13.12.14.png 

#2 - 2025-01-21 06:54 - Mizuki ISHIKAWA

- File 0001-Fix-toggle-multipleselect-icons-by-using-square-roun.patch added

- File screenshot 2025-01-21 14.47.12.png added

- File screenshot 2025-01-21 14.46.54.png added

The minus icon was a little confusing, so I have attached a patch that utilizes a different icon.

https://tabler.io/icons/icon/square-rounded-minus

https://tabler.io/icons/icon/square-rounded-plus
https://tabler.io/icons/icon/square-rounded-minus
https://tabler.io/icons/icon/square-rounded-plus


screenshot 2025-01-21 14.47.12.png  
screenshot 2025-01-21 14.46.54.png 

#3 - 2025-01-22 00:39 - Go MAEDA

- Status changed from New to Confirmed

- Target version set to Candidate for next minor release
#4 - 2025-01-23 02:23 - Go MAEDA

- Target version changed from Candidate for next minor release to 6.0.3

Setting the target version to 6.0.3.

#5 - 2025-01-28 06:32 - Go MAEDA

- Status changed from Confirmed to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch in r23464. Thank you for your contribution.

#6 - 2025-01-28 08:47 - Go MAEDA

- Status changed from Resolved to Closed

Merged the fix into the 6.0-stable branch in r23466.
